"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var moment = require("moment");
var DatePickerComponent = (function () {
    function DatePickerComponent() {
        this.dateChangeEvent = new core_1.EventEmitter();
        moment.locale('zh-cn');
    }
    Object.defineProperty(DatePickerComponent.prototype, "date", {
        get: function () {
            return this._date;
        },
        set: function (v) {
            this._date = v;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DatePickerComponent.prototype, "options", {
        get: function () {
            return this._options;
        },
        set: function (v) {
            this._options = v;
        },
        enumerable: true,
        configurable: true
    });
    DatePickerComponent.prototype.setDate = function (ev) {
        this.dateChangeEvent.emit(ev);
    };
    DatePickerComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'dc-date-picker',
                    template: "\n    <div>\n      <dc-ng-datepicker [initDate]=\"date || ''\" [minDate]=\"options?.minDate\" [maxDate]=\"options?.maxDate\"\n                     (ngModelChange)=\"setDate($event)\"></dc-ng-datepicker>\n    </div>\n  ",
                    styles: ["\n  "],
                },] },
    ];
    /** @nocollapse */
    DatePickerComponent.ctorParameters = function () { return []; };
    DatePickerComponent.propDecorators = {
        "date": [{ type: core_1.Input },],
        "dateChangeEvent": [{ type: core_1.Output },],
        "options": [{ type: core_1.Input },],
    };
    return DatePickerComponent;
}());
exports.DatePickerComponent = DatePickerComponent;
//# sourceMappingURL=date.picker.component.js.map